#!/usr/vin/env ruby                                

# -*- coding: utf-8 -*-

require  'csv'

data = CSV.read("otetudai.csv",headers: true)

# kudamono =["風呂掃除","おもちゃの片付け","洗濯物を片付ける","本を片付ける"]
# nedan=[25,50,25]

data.each do |row|
printf("お手伝いは%sです。そして、お小遣いは%d円です。\n",row["内容"],row["金額"])
end
total =0
loop do
printf("何のお手伝いしましたか。入力してください。終わるときは「お金を使う」と打ってください\n")
otetudai =  gets.chomp!
break if otetudai == "お金を使う"

row = data.find{ |r| r["内容"]==otetudai }
if row
  puts"#{row["金額"]}円"
  total += row["金額"].to_i
  puts"今の貯金は#{total}円だよ!!"
else
  puts"そのお手伝いはないよ"
end
end
puts"今日の合計は#{total}円だよ!!"
